org.jfree.report.flow.raw

## Class XmlPrintReportProcessor

- java.lang.Object
- - org.jfree.report.flow.AbstractReportProcessor
  - - org.jfree.report.flow.SinglePassReportProcessor
    - - org.jfree.report.flow.raw.XmlPrintReportProcessor

- All Implemented Interfaces:
    ReportProcessor

      public class XmlPrintReportProcessor
      extends SinglePassReportProcessor

  Todo: Document me!
  Since:
    20.03.2007
  Author:
    Thomas Morgner

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `XmlPrintReportProcessor(java.io.OutputStream outputStream, java.lang.String encoding)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected ReportTarget` | `createReportTarget(ReportJob job)`

    - ### Methods inherited from class org.jfree.report.flow.SinglePassReportProcessor

      `processReport`

    - ### Methods inherited from class org.jfree.report.flow.AbstractReportProcessor

      `createFlowControler, createReportContext, processReportRun`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### XmlPrintReportProcessor

          public XmlPrintReportProcessor(java.io.OutputStream outputStream,
                                         java.lang.String encoding)

  - ### Method Detail

    - #### createReportTarget

          protected ReportTarget createReportTarget(ReportJob job)
                                             throws ReportProcessingException

      Specified by:
        `createReportTarget` in class `SinglePassReportProcessor`
      Throws:
        `ReportProcessingException`